//
// elements/headline
// ce_headline
//

#{headings()} {
  font-weight: $base-headline-weight;
  margin-top: 0;
  margin-bottom: $base-spacing-unit;
}

@each $element, $options in $headlines {
  $count: index(map-keys($headlines), $element);
  $sizes: map-get($options, sizes);
  $line-height: map-get($options, line-height);
  $margin-top: map-get($options, margin-top);
  $margin-bottom: map-get($options, margin-bottom);

  %#{$element},
  %_#{$element} {
    font-size: map-get($sizes, xs);
    line-height: $line-height;
    margin-bottom: $margin-bottom;

    @for $i from 2 through length($sizes) {
      $current: nth($sizes, $i);
      $viewport: nth($current, 1);
      $font-size: nth($current, 2);

      @include mq(#{$viewport}) {
        font-size: $font-size;
      }
    }
  }

  #{$element} {
    @extend %_#{$element};

    ol + &,
    p + &,
    ul + & {
      margin-top: $margin-top;
    }
  }
}
